Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1357200 - [abrt] gstreamer1: init_context_defaults(): gst-plugin-scanner killed by SIGABRT
Summary: [abrt] gstreamer1: init_context_defaults(): gst-plugin-scanner killed by SIGABRT
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gstreamer1
Version: 24
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Brian Pepple
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:3f732f7246f00907990c820aafe...
: 1357002 1358178 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-16 13:24 UTC by xzj8b3
Modified: 2017-08-08 15:38 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-08 15:38:40 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2016-07-16 13:24 UTC, xzj8b3
no flags Details
File: cgroup (deleted)
2016-07-16 13:24 UTC, xzj8b3
no flags Details
File: core_backtrace (deleted)
2016-07-16 13:24 UTC, xzj8b3
no flags Details
File: dso_list (deleted)
2016-07-16 13:24 UTC, xzj8b3
no flags Details
File: environ (deleted)
2016-07-16 13:24 UTC, xzj8b3
no flags Details
File: limits (deleted)
2016-07-16 13:24 UTC, xzj8b3
no flags Details
File: maps (deleted)
2016-07-16 13:25 UTC, xzj8b3
no flags Details
File: mountinfo (deleted)
2016-07-16 13:25 UTC, xzj8b3
no flags Details
File: namespaces (deleted)
2016-07-16 13:25 UTC, xzj8b3
no flags Details
File: open_fds (deleted)
2016-07-16 13:25 UTC, xzj8b3
no flags Details
File: proc_pid_status (deleted)
2016-07-16 13:25 UTC, xzj8b3
no flags Details
File: var_log_messages (deleted)
2016-07-16 13:25 UTC, xzj8b3
no flags Details

Description xzj8b3 2016-07-16 13:24:07 UTC
Version-Release number of selected component:
gstreamer1-1.9.1-1.fc24

Additional info:
reporter:       libreport-2.7.1
backtrace_rating: 4
cmdline:        /usr/libexec/gstreamer-1.0/gst-plugin-scanner -l
crash_function: init_context_defaults
executable:     /usr/libexec/gstreamer-1.0/gst-plugin-scanner
global_pid:     2577
kernel:         4.6.3-300.fc24.x86_64
pkg_fingerprint: EE78 8F49 5250 AEF3
pkg_vendor:     (none)
reproducible:   Not sure how to reproduce the problem
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #2 init_context_defaults at libavcodec/options.c:142
 #3 avcodec_alloc_context3 at libavcodec/options.c:163
 #4 gst_ffmpeg_cfg_install_property at gstavcfg.c:732
 #5 gst_ffmpegvidenc_class_init at gstavvidenc.c:225
 #6 type_class_init_Wm at gtype.c:2241
 #7 g_type_class_ref at gtype.c:2956
 #8 gst_element_register at gstelementfactory.c:243
 #9 gst_ffmpegvidenc_register at gstavvidenc.c:1015
 #10 plugin_init at gstav.c:158
 #11 gst_plugin_register_func at gstplugin.c:523

Comment 1 xzj8b3 2016-07-16 13:24:15 UTC
Created attachment 1180419 [details]
File: backtrace

Comment 2 xzj8b3 2016-07-16 13:24:17 UTC
Created attachment 1180420 [details]
File: cgroup

Comment 3 xzj8b3 2016-07-16 13:24:20 UTC
Created attachment 1180421 [details]
File: core_backtrace

Comment 4 xzj8b3 2016-07-16 13:24:25 UTC
Created attachment 1180422 [details]
File: dso_list

Comment 5 xzj8b3 2016-07-16 13:24:27 UTC
Created attachment 1180423 [details]
File: environ

Comment 6 xzj8b3 2016-07-16 13:24:30 UTC
Created attachment 1180424 [details]
File: limits

Comment 7 xzj8b3 2016-07-16 13:25:02 UTC
Created attachment 1180425 [details]
File: maps

Comment 8 xzj8b3 2016-07-16 13:25:05 UTC
Created attachment 1180426 [details]
File: mountinfo

Comment 9 xzj8b3 2016-07-16 13:25:07 UTC
Created attachment 1180427 [details]
File: namespaces

Comment 10 xzj8b3 2016-07-16 13:25:10 UTC
Created attachment 1180428 [details]
File: open_fds

Comment 11 xzj8b3 2016-07-16 13:25:13 UTC
Created attachment 1180429 [details]
File: proc_pid_status

Comment 12 xzj8b3 2016-07-16 13:25:15 UTC
Created attachment 1180430 [details]
File: var_log_messages

Comment 13 Cole Robinson 2016-07-20 12:45:47 UTC
*** Bug 1357002 has been marked as a duplicate of this bug. ***

Comment 14 Cole Robinson 2016-07-20 12:45:56 UTC
*** Bug 1358178 has been marked as a duplicate of this bug. ***

Comment 15 Cole Robinson 2016-07-20 13:00:05 UTC
One of the dupes mentions that reinstalling ffmpeg fixed the crash, another mentioned removing gstreamer1-libav

Comment 16 Oliver Gutiérrez 2016-07-20 13:53:49 UTC
The removal of gstreamer1-libav fixed the problem in my case.

As soon as I reinstall it, the problem comes again, but my gstreamer1-libav library comes from rpmfusion:

gstreamer1-libav              x86_64              1:1.8.2-1.fc24                fedora-HandBrake              229 k

Maybe thats the real reason.

Comment 17 Oliver Gutiérrez 2016-07-20 13:56:24 UTC
Installing ffmpeg or gstreamer-ffmpeg in my F24 does not have any effect. Only gstreamer1-libav reproduces the problem.

Comment 18 Kamil Páral 2016-07-20 14:07:03 UTC
Olivier, according to the repo name of your gstreamer1-libav package, it does not come from rpmfusion, but from negativo17's repositories. That's exactly the same repo I used when seeing this crash.

However, I uninstalled all the ffmpeg/gstreamer packages and then installed them again (and rebooted a few times in the meantine), and virt-manager no longer crashes for me. I have the same gstreamer1-libav version as you do, from same repo. I don't know how to explain that.

Comment 19 Oliver Gutiérrez 2016-07-20 15:06:28 UTC
I'm not able to avoid the crashes if lib installed.

Will try that later and if I got any new info I report it here.

Thanks for helping

Comment 20 Fedora End Of Life 2017-07-25 21:50:17 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 21 Fedora End Of Life 2017-08-08 15:38:40 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.